package cn.pluss.platform.util;

import cn.pluss.platform.exception.MsgException;

/**
 * @author DJH
 */
public class CheckUtils {

    /**
     * 判断值是否在指定范围内
     * @param target    目标值
     * @param max       最大
     * @param min       最小
     * @param msg       抛出的异常信息
     */
    public static void limit(int target, int min, int max, String msg) {
        if (target < min || target > max) {
            throw new MsgException(msg);
        }
    }
}
